Get End User
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
org_id*Org Id
Format
uuidend_user_id*End User Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/organisations/497f6eca-6276-4993-bfeb-53cbbbba6f08/visitors/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_id": "string", "emails": [ "string" ], "phones": [ "string" ], "conflicts": [ "string" ], "hard_visitor_count": 0, "soft_visitor_count": 0, "conversation_count": 0, "last_seen_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "visitors": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "first_agent_id": "d29678aa-177d-4407-8c22-a908f5ffa6cf", "first_agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "last_seen_at": "2019-08-24T14:15:22Z", "conversation_count": 0, "forgotten_at": "2019-08-24T14:15:22Z", "end_user_id": "c5ac076e-1e7a-4f0d-9ad4-cae618230def", "end_user_external_id": "string", "link_type": "string", "phone": "string" } ], "conversations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978", "run_id": "string", "source": "string", "status": "string", "started_at": "2019-08-24T14:15:22Z", "ended_at": "2019-08-24T14:15:22Z", "visitor_id": "1b5d452e-2897-4f21-ac74-1b59f820ba97", "insight": { "text_status": "string", "outcome": "string", "topic_id": "646807af-5da6-43aa-83d3-8ac1d15ab4e5", "topic_name": "string", "failed": true, "text_trajectory": "string", "primary_root_cause": "string", "masked_frustration": true }, "metrics": { "wait_p50_ms": 0, "wait_max_ms": 0, "barge_in_count": 0, "slow_reply_count": 0, "had_tool_errors": true } } ]}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}